Groovy 1.7.0

## org.codehaus.groovy.ast.stmt
Class EmptyStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.EmptyStatement

    class EmptyStatement
    extends Statement

Represents an empty statement

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`static EmptyStatement` | `INSTANCE`

Constructor Summary
`EmptyStatement()`

Method Summary
`boolean` | `isEmpty()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### INSTANCE

    static final EmptyStatement INSTANCE

Constructor Detail

### EmptyStatement

    EmptyStatement()

Method Detail

### isEmpty

    public boolean isEmpty()

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.